Current-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: HEADS UP: you may need to rebuild threaded pkgsrc programs

Geoff Wing <> writes:

> On Tuesday 2008-08-05 07:59 -0700, Paul Goyette output:
>> Not sure of the actual start date, but I got bit by this yesterday after  
>> updating from 4.99.67 to 4.99.72.  I'm still rebuilding some of my 100+  
>> packages that depend directly or indirectly on perl (which was built  
>> with threads).
> Try 
> % grep REQUIRES=/usr/lib/libpthread /var/db/pkg/*/+BUILD_INFO
> and see which others you need to rebuild.

even better, pipe to something that sets pkg_admin set rebuild=YES on
those, and then run 'pkg_rolling-replace -v'.  See the example in the
pkg_rr man page about doing essentially the same thing, but with

Home | Main Index | Thread Index | Old Index